Failed to install the ModSecurity rule set: Unable to find row with id in domains table.

Created:

2016-11-16 13:08:48 UTC

Modified:

2017-04-24 11:06:09 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Failed to install the ModSecurity rule set: Unable to find row with id in domains table.

Applicable to:

  • Plesk Onyx for Windows
  • Plesk 12.5 for Windows

Symptoms

Unable to activate mod_security firewall in Plesk 12.5, the following error appears:

Failed to install the Mod-security rule set: Unable to find row with id 221 in domains table.

Unable to use the current Apache configuration file and to roll back to the previous version of the file because they contain an invalid configuration.

Cause

Database inconsistency.

Resolution

Fix database inconsistency using Plesk self-repair tool.
Run from command line:

plesk repair db

After that enable mod_security again.

Have more questions? Submit a request

2 Comments

Please sign in to leave a comment.